#ifndef IMU_H
#define IMU_H

#include "ti_msp_dl_config.h"

class Imu {
public:
    struct Data {
        float roll;
        float pitch;
        float yaw;
        float ax;
        float ay;
        float az;
    };

    static void init();         // 模块初始化
    static void inject();       // 数据注入（串口、I2C回调函数注入数据）

    static Data getData();
    static float getRoll();
    static float getPitch();
    static float getYaw();
    static float getAx();
    static float getAy();
    static float getAz();

    static uint8_t _buffer;
    static Data _data;
};

#endif //IMU_H
